/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/2016 - ATMEL STUDIO 7

This program demonstrates how ARDUINO IDE can be used to program the Brainbox Arduino - based on the ARduino Leonardo
For this program I have used real embedded C code - combined with Arduino library instructions to demonstrate that they can be used together.

This program blinks led 13 (blue led at pin C7) and led 17 (red led at RXled pin B0)
The pinout diagram of the BBA (www.E2CRE8.be) visualizes the relation between the ARduino pin names and the real pin names
This program can be used as inspiration to control any output pin of the Brainbox Arduino

These programs are used in school environments and the C code is kept low level for that reason
*/

void setup() {
  // put your setup code here, to run once:
  DDRB = 0b00000001; // RB0 (pin17) = output pin - using real embedded C code
  pinMode(13, OUTPUT); // pin 13 (pinC7) = output pin - using ARduino library instruction & pin name
}

void loop() {
  // put your main code here, to run repeatedly:
      PORTB = 0b00000000;      // turn led at pin B0 off
      digitalWrite(13, HIGH);   // turn the LED 13 on (HIGH is the voltage level)
      _delay_ms(250);       //wait for 250msec
      
      PORTB = 0b00000001;     // turn led at pin B0 on
      digitalWrite(13, LOW);    // turn the LED 13 on (HIGH is the voltage level)
      _delay_ms(250);       //wait for 250msec
}
